VERSION 5.00
Begin VB.UserControl cProg 
   Alignable       =   -1  'True
   ClientHeight    =   945
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   945
   ScaleWidth      =   4800
   Begin VB.Shape Shape1 
      BackColor       =   &H00C88100&
      BackStyle       =   1  'Opaque
      BorderColor     =   &H00C88100&
      Height          =   375
      Index           =   1
      Left            =   120
      Shape           =   4  'Rounded Rectangle
      Top             =   600
      Width           =   1095
   End
   Begin VB.Shape Shape1 
      BackColor       =   &H00996633&
      BackStyle       =   1  'Opaque
      BorderColor     =   &H00C88100&
      Height          =   375
      Index           =   0
      Left            =   120
      Shape           =   4  'Rounded Rectangle
      Top             =   600
      Width           =   4575
   End
End
Attribute VB_Name = "cProg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Barras creadas por ergalle. Creamos barras de progreso virtuales que pueden asociarse (o no) a un evento
' El el caso de que se pueda acceder al cdigo fuente de backup-creator, podremos asociar las barras con el programa de MS-DOS.

Option Explicit

Public Enum EnumPaletteColor
    GreenColor = &H1
    BlueColor = &H2
End Enum

Private mValue As Integer
Private mPal As EnumPaletteColor

Const def_Max = 100
Const def_Min = 0

Private Sub UserControl_Resize()
    UserControl.ScaleHeight = 315
        Shape1(0).Move 0, 0, UserControl.ScaleWidth, 315
        'Label1.Move (UserControl.ScaleWidth - Label1.Width) - 120, (UserControl.ScaleHeight - Label1.Height) / 2
        Shape1(1).Move 0, 0, UserControl.ScaleWidth, 315
    
End Sub

Property Let Value(ByVal NewValue As Integer)
    mValue = NewValue
        Cargar_Barra
        PropertyChanged "Value"
End Property

Property Get Value() As Integer
    Value = mValue
End Property

Private Sub Cargar_Barra()
    Dim nPor As Integer
    Dim iMax As Integer
        nPor = (UserControl.Width * mValue) / 100
        Shape1(1).Width = nPor
        'Label1.Caption = mValue & "%"
End Sub

Private Sub Asignar_Color()
    Select Case mPal
        Case GreenColor
            Shape1(0).BackColor = &HC0FFC0
            Shape1(0).BorderColor = &H8000&
            Shape1(1).BackColor = &HC000&
            Shape1(1).BorderColor = &H8000&
            'Label1.ForeColor = &H8000&
        Case BlueColor
            Shape1(0).BackColor = &H996633
            Shape1(0).BorderColor = &HC88100
            Shape1(1).BackColor = &HC88100
            Shape1(1).BorderColor = &HC88100
            'Label1.ForeColor = vbWhite
    End Select
End Sub

Property Let PaletteColor(ByVal NewColor As EnumPaletteColor)
    mPal = NewColor
        Asignar_Color
        PropertyChanged "PaletteColor"
End Property

Property Get PaletteColor() As EnumPaletteColor
    PaletteColor = mPal
End Property

Property Set Font(ByVal NewFont As Font)
    'Set Label1.Font = NewFont
        PropertyChanged "Font"
End Property

Property Get Font() As Font
    'Set Font = Label1.Font
End Property

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("PaletteColor", mPal, GreenColor)
    Call PropBag.WriteProperty("Value", mValue, 15)
    'Call PropBag.WriteProperty("Font", Label1.Font, Ambient.Font)
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    'Set Label1.Font = PropBag.ReadProperty("Font", Ambient.Font)
    mValue = PropBag.ReadProperty("Value", 15)
    mPal = PropBag.ReadProperty("PaletteColor", GreenColor)
        Cargar_Barra
        Asignar_Color
End Sub

